# Pleach  

<p align="center" style="font-size: 12px;">  
    Pleach is a Python-based low-code platform for developing RAG and multi-agent AI applications. It is model-agnostic and works with any API or database.  
</p>  

## ✨ Features  

- **Python-powered** and compatible with various models, APIs, and data sources.  
- **Visual IDE** with drag-and-drop functionality for seamless workflow creation.  
- **Interactive Playground** for real-time testing and debugging of workflows.  
- **Multi-agent orchestration** for advanced conversation handling and retrieval.  
- **API deployment** or export as a standalone Python package.  
- **Monitoring and observability** with LangSmith, LangFuse, and LangWatch integration.  
- **Flexible workflow customization**, allowing both visual editing and Python scripting.  
- **Seamless ecosystem integrations** for effortless connectivity with different tools.  

## 📦 Quick Start  

### Install using `uv` (Recommended)  
Supports Python versions 3.10 - 3.12.  

```sh  
uv pip install pleach  
